/****************************************************************************
** A simple paged widget for displaying help files.
**
**
** Copyright (C) 2001 Walter Rawdanik.  All rights reserved.
**
****************************************************************************/


#ifndef ABOUT_DIALOG_H
#define ABOUT_DIALOG_H

#include <qwidget.h>
#include <qstring.h>
#include <qpixmap.h>
#include <qstringlist.h>
#include <qlistbox.h> 

class ImageRepository;

class AboutDialogItem: public QListBoxItem
{
public:
    AboutDialogItem(const QString &textLine, QListBox *lb);

    virtual int height ( const QListBox * ) const;
    virtual int width ( const QListBox * ) const;

protected:
    virtual void paint ( QPainter * );


private:
    int fHeight;
};


class AboutDialog : public QWidget
{ 
    Q_OBJECT
public:

    enum MODE
    {
        ABOUT,
        HISTORY
    };

    AboutDialog(QWidget  *parent,const char *name=0);

    void setMode(MODE);

protected:
	virtual void paintEvent ( QPaintEvent * ) ; 
	virtual void resizeEvent ( QResizeEvent * );

private:
 
   QListBox *lBox;
};



#endif // ABOUT_DIALOG_H


