/****************************************************************************
** Quck and dirty adaptation of standard modal QDialog for the game.
**
**
** Copyright (C) 2001 Walter Rawdanik.  All rights reserved.
**
****************************************************************************/


#ifndef GAME_DIALOG_H
#define GAME_DIALOG_H

#include <qdialog.h>
#include <qstring.h>
#include <qpixmap.h>
#include "Fixed.h"


class QTimer;
class QLineEdit;
class MenuButton;
class MenuButtonList;

class GameDialog : public QDialog
{ 
    Q_OBJECT

public:

    GameDialog( QWidget *parent=0,const char *name=0);
	

	virtual void show();
	virtual void hide (); 

	void configure(QPixmap *background,const QString &text,bool fancy,bool requester=false,int timeout=0, const QString &ls=QString::null,	
	                 const QString &ms=QString::null,const QString &rs=QString::null);

	inline QString requesterText()
	{
		return reqText;
	}


protected:
	virtual void paintEvent ( QPaintEvent * ) ; 
	virtual void keyPressEvent ( QKeyEvent * e );
	virtual void resizeEvent ( QResizeEvent * );

	
private slots:
	void buttonClicked(int);
	void timeSynch();

private:
 
   enum DEFINES
   {
		NUM_FW=3,
		NUM_FP=32,
   };

	void updateFireworks();
	void createTintedBackground(QPixmap *back);

	QString dText;
	bool needsButtons;
	Key dkl;
	Key dkr;
	Key dkm;
	MenuButton *leftButton;
	MenuButton *middleButton;
	MenuButton *rightButton;
	MenuButtonList *dButtonList;
	QLineEdit *lEdit;
		int tCounter;
	int		margin;
	int		textWidth;
	int fireWorks[NUM_FW];
	int firePoints[NUM_FP*NUM_FW];
	int fcount[NUM_FW];
	fixed xc[NUM_FP*NUM_FW];
	fixed yc[NUM_FP*NUM_FW];
	fixed xa[NUM_FP*NUM_FW];
	fixed ya[NUM_FP*NUM_FW];
	QTimer *timer;
	static int numFW;
	static int numFP;
	bool doFancy;
	QPixmap pix;
	QPixmap tinted;
	bool doTinted;
	QString reqText;

};



#endif // GAME_DIALOG_H


