/****************************************************************************
** Class for initialization, storing and quick retrieval of various game images.
**
**
** Copyright (C) 2001 Walter Rawdanik.  All rights reserved.
**
****************************************************************************/

#ifndef IMAGE_REPOSITORY_H
#define IMAGE_REPOSITORY_H

#include <qpixmap.h>
#include <qimage.h>
#include <qdict.h>


class ImageRepository
{ 

public:
	
		enum I_NAMES
	{
		RED,
		GREEN,
        BLUE,
		PURPLE,
		YELLOW,
        CYAN,
		WHITE,
        GREY,       
		WALL,
		FIRE,
		TRAP_RIGHT,
		TRAP_LEFT,
		BROKEN_WALL,
		FRONT_1,
		BACKGROUND,
		FRONT_TITLE,
		FREEZING_ANIMATION
	};


    ImageRepository();
    ~ImageRepository();

	void init(int sw, int sh);

    bool initTheme( const QString &theme);
    void shuffleTheme();

    QPixmap* findPixmap(const QString& name);
	QPixmap* findPixmap(I_NAMES id);


private:

   enum I_TYPES 
   {
      NORMAL,
      HIGHLIGHT,
      RESIZE
   };
  
   void createHighlighted(QImage &img);

   QDict<QPixmap> pixmaps;
   QList<QPixmap> cTheme;
   QList<QPixmap> cHTheme;

};

#endif // IMAGE_REPOSITORY_H


