/**********************************************************************
** Copyright (C) 2001 Walter Rawdanik.  All rights reserved.
**
** This file is part of Puzz-le game for Qtopia Environment.
**
** This file may be distributed and/or modified under the terms of the
** BSD license appearing in the file LICENSEL included in the
** packaging of this file.
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
**********************************************************************/

#include <qsound.h>
#include <qfile.h>
#include "SoundRepository.h"
#include "Puzzle.h"
#include <unistd.h>



SoundRepository::SoundRepository(const QString &directory)
{
	sounds.setAutoDelete(true);	
	dir=directory;
   initialized=false;
}
SoundRepository::~SoundRepository()
{
}

QSound* SoundRepository::findSound(const QString& name)
{
	QSound *s=sounds.find(name);
	if(!s && !initialized)
	{	
		QString fileName(dir + "/" + name + ".dav");
		QFile file(fileName);
		if(file.exists())
		{
			s=new QSound(fileName);
			sounds.insert(name,s);
		}
	}
	
	return s;
}
void SoundRepository::playSound(const QString & name)
{
    if (Puzzle::playSound)
    {
        QSound *s=findSound(name);
        if(s)
        {
            s->play();
        }
    }
}
void SoundRepository::init()
{     
    findSound("delete");
    findSound("button");
    findSound("block_hit");
    findSound("move");
    findSound("wall_hit");
    initialized=true;
}


