/****************************************************************************
** Class for initialization, storing and quick retrieval of various game sounds.
**
**
** Copyright (C) 2001 Walter Rawdanik.  All rights reserved.
**
****************************************************************************/

#ifndef SOUND_REPOSITORY_H
#define SOUND_REPOSITORY_H

#include <qstring.h>
#include <qdict.h>


class QSound;

class SoundRepository
{ 
public:

    SoundRepository(const QString &directory);
    ~SoundRepository();

   QSound* findSound(const QString& name);
	void playSound(const QString &name);
   void init();
   

private:


   QDict<QSound> sounds;
   QString	dir;
   bool initialized;
};

#endif // SOUND_REPOSITORY_H


